> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete FactTable

> Delete a fact table. The fact table can only be deleted if there are no
 metrics referencing it.



## OpenAPI

````yaml /api/metrics/api/fact-table.openapi.json delete /v1/factTables/{factTable}
openapi: 3.1.0
info:
  title: Confidence Fact-table API
  version: 1.0.0
  description: API documentation for fact-table
servers: []
security: []
paths:
  /v1/factTables/{factTable}:
    delete:
      summary: Delete FactTable
      description: |-
        Delete a fact table. The fact table can only be deleted if there are no
         metrics referencing it.
      operationId: FactTable.delete
      parameters:
        - name: factTable
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns a [FactTable](/api-reference/schemas/facttable).
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````